%define major		0
%define api		1.6
%define gir_major	1.6
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Implements resource discovery and announcement over SSDP
Name:		gssdp
Version:	1.6.2
Release:	%mkrel 2
License:	LGPLv2+
Group:		Development/Other
Url:		http://www.gupnp.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	vala-tools
BuildRequires:	meson
BuildRequires:	gi-docgen

%description
GSSDP implements resource discovery and announcement over SSDP.

%package -n %{libname}
Summary:	Main library for gssdp
Group:		System/Libraries
Provides:	%{name} >= %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gssdp.

%package -n %{develname}
Summary:	Headers for developing programs that will use gssdp
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gssdp.

%package -n %{girname}
Summary:	GObject Introspection interface description for GSSDP
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for GSSDP.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fPIC"
%meson -Dintrospection=true \
       -Dgtk_doc=true \
       -Dmanpages=false
%meson_build

%install
%meson_install

%files
%license COPYING
%doc AUTHORS README* NEWS
%{_bindir}/%{name}-device-sniffer
#%%{_datadir}/%%{name}/*.ui

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GSSDP-%{gir_major}.typelib

%files -n %{develname}
%doc %{_docdir}/%{name}-%{api}/
%{_libdir}/pkgconfig/%{name}*.pc
%dir %{_includedir}/%{name}-%{gir_major}
%dir %{_includedir}/%{name}-%{gir_major}/lib%{name}
%{_includedir}/%{name}-%{gir_major}/lib%{name}/*.h
%{_libdir}/*.so
%{_datadir}/gir-1.0/GSSDP-%{gir_major}.gir
%{_datadir}/vala/vapi/*


%changelog
* Thu May 04 2023 daviddavid <daviddavid> 1.6.2-2.mga9
+ Revision: 1955806
- fix owner of include dir

* Mon Jan 02 2023 daviddavid <daviddavid> 1.6.2-1.mga9
+ Revision: 1928759
- new version 1.6.2

* Fri Nov 11 2022 ghibo <ghibo> 1.6.1-1.mga9
+ Revision: 1905532
- Update to release 1.6.1

* Mon Sep 19 2022 wally <wally> 1.6.0-1.mga9
+ Revision: 1890369
- new version 1.6.0
- new api 1.6
- drop old obsoletes and conflicts

* Wed Mar 30 2022 umeabot <umeabot> 1.2.3-2.mga9
+ Revision: 1835304
- Mageia 9 Mass Rebuild

* Tue Jun 23 2020 ovitters <ovitters> 1.2.3-1.mga8
+ Revision: 1598529
- new version 1.2.3

* Tue Feb 18 2020 umeabot <umeabot> 1.2.2-2.mga8
+ Revision: 1541825
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 ovitters <ovitters> 1.2.2-1.mga8
+ Revision: 1475518
- new version 1.2.2

* Wed May 08 2019 tmb <tmb> 1.2.1-1.mga7
+ Revision: 1396790
- update to 1.2.1

* Wed Apr 17 2019 umeabot <umeabot> 1.2.0-2.mga7
+ Revision: 1392637
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 1.2.0-1.mga7
+ Revision: 1374322
- new version 1.2.0

* Sun Mar 10 2019 tmb <tmb> 1.1.3-1.mga7
+ Revision: 1373508
- update filelist
- enable gtk-doc, update major
- switch to meson
- update to 1.1.3

* Fri Jan 25 2019 ovitters <ovitters> 1.0.3-1.mga7
+ Revision: 1360550
- new version 1.0.3

* Sun Sep 23 2018 umeabot <umeabot> 1.0.2-2.mga7
+ Revision: 1298095
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Mar 20 2017 ovitters <ovitters> 1.0.2-1.mga6
+ Revision: 1093757
- new version 1.0.2

* Sat Oct 15 2016 ovitters <ovitters> 1.0.1-1.mga6
+ Revision: 1060866
- new version 1.0.1

* Mon Sep 26 2016 tv <tv> 1.0.0-2.mga6
+ Revision: 1056853
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Thu Sep 22 2016 ovitters <ovitters> 1.0.0-1.mga6
+ Revision: 1055266
- new version 1.0.0

* Sun Sep 18 2016 ovitters <ovitters> 0.99.0-1.mga6
+ Revision: 1053995
- new version 0.99.0

* Wed Aug 10 2016 luigiwalser <luigiwalser> 0.14.16-1.mga6
+ Revision: 1045270
- 0.14.16

* Mon Apr 25 2016 ovitters <ovitters> 0.14.15-1.mga6
+ Revision: 1006289
- new version 0.14.15

* Tue Feb 09 2016 ovitters <ovitters> 0.14.14-1.mga6
+ Revision: 951152
- new version 0.14.14

* Thu Dec 31 2015 ovitters <ovitters> 0.14.13-1.mga6
+ Revision: 917131
- new version 0.14.13

* Tue Dec 01 2015 ovitters <ovitters> 0.14.12.1-1.mga6
+ Revision: 907551
- new version 0.14.12.1

* Sat Nov 21 2015 ovitters <ovitters> 0.14.12-1.mga6
+ Revision: 904734
- new version 0.14.12

* Tue Jun 30 2015 wally <wally> 0.14.11-3.mga6
+ Revision: 849030
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 0.14.11-2.mga6
+ Revision: 847448
- add requires for gir pkg to devel pkg

* Sun Jan 04 2015 ovitters <ovitters> 0.14.11-1.mga5
+ Revision: 808424
- new version 0.14.11

* Wed Oct 15 2014 umeabot <umeabot> 0.14.10-4.mga5
+ Revision: 750441
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 0.14.10-3.mga5
+ Revision: 731154
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 0.14.10-2.mga5
+ Revision: 679966
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 ovitters <ovitters> 0.14.10-1.mga5
+ Revision: 662920
- new version 0.14.10

* Fri Jul 25 2014 ovitters <ovitters> 0.14.9-1.mga5
+ Revision: 656549
- new version 0.14.9

* Fri May 30 2014 ovitters <ovitters> 0.14.8-1.mga5
+ Revision: 627815
- new version 0.14.8

* Tue Feb 04 2014 dams <dams> 0.14.7-1.mga5
+ Revision: 580948
- new version 0.14.7

* Thu Oct 31 2013 ovitters <ovitters> 0.14.6-1.mga4
+ Revision: 548539
- new version 0.14.6

* Sat Oct 19 2013 umeabot <umeabot> 0.14.5-2.mga4
+ Revision: 533680
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 ovitters <ovitters> 0.14.5-1.mga4
+ Revision: 474743
- new version 0.14.5

* Tue Jul 30 2013 ovitters <ovitters> 0.14.4-1.mga4
+ Revision: 460983
- new version 0.14.4

* Thu May 30 2013 dams <dams> 0.14.3-1.mga4
+ Revision: 432937
- update BR from gtk2 to gtk3
- new version 0.14.3

* Thu Apr 11 2013 dams <dams> 0.14.2-1.mga3
+ Revision: 409687
- new version 0.14.2
+ ovitters <ovitters>
- new version 0.14.0

* Sat Jan 12 2013 umeabot <umeabot> 0.12.2.1-3.mga3
+ Revision: 352701
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 0.12.2.1-2.mga3
+ Revision: 317497
- update file list
- br vala

* Mon Aug 20 2012 ovitters <ovitters> 0.12.2.1-1.mga3
+ Revision: 282717
- new version 0.12.2.1

* Sun Aug 19 2012 ovitters <ovitters> 0.12.2-1.mga3
+ Revision: 282399
- new version 0.12.2

* Fri Dec 09 2011 wally <wally> 0.12.1-1.mga2
+ Revision: 179687
- new version 0.12.1
- enable introspection for sure
- tag gtk-docs as docs

* Tue Aug 30 2011 fwang <fwang> 0.12.0-1.mga2
+ Revision: 136490
- remove old files
- new version 0.12.0
- new version 0.11.2

* Thu Jul 07 2011 wally <wally> 0.11.1-1.mga2
+ Revision: 119902
- new version 0.11.1

* Sat Jun 25 2011 wally <wally> 0.11.0-2.mga2
+ Revision: 113517
- fix libification

* Sat Jun 25 2011 wally <wally> 0.11.0-1.mga2
+ Revision: 113508
- new version 0.11.0
- new major 3
- use tar.xz source from gnome
- create a subpackage for gir .typelib
- drop buildroot definition

* Thu Apr 14 2011 dams <dams> 0.10.0-1.mga1
+ Revision: 84984
- Update to 0.10.0

* Sun Jan 23 2011 wally <wally> 0.8.2-1.mga1
+ Revision: 33532
- new version 0.8.2
- fix license, url and source tag

* Sat Jan 22 2011 wally <wally> 0.7.2-4.mga1
+ Revision: 33293
- remove old obsoletes and mdv scriptlets
- disable static build
- imported package gssdp


* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 0.7.2-3mdv2011.0
+ Revision: 577923
- rebuild for new g-i

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.7.2-2mdv2011.0
+ Revision: 563303
- rebuild for new gobject-introspection

* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2010.1
+ Revision: 533727
- new version
- add introspection support

* Mon Jan 18 2010 Funda Wang <fwang@mandriva.org> 0.7.1-2mdv2010.1
+ Revision: 492939
- add BRs

* Fri Dec 04 2009 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2010.1
+ Revision: 473524
- update to new version 0.7.1

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.0-1mdv2010.0
+ Revision: 445305
- Update to new version 0.7.0 (new major)
- Use gtkbuilder instead of glade now
- Package ui file in gssdp package instead of devel package

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.6.4-2mdv2010.0
+ Revision: 425051
- rebuild

* Thu Mar 05 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.4-1mdv2009.1
+ Revision: 349315
- New version 0.6.4
- drop P1 (fixed upstream)

* Thu Jan 08 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.3-1mdv2009.1
+ Revision: 327272
- New version 0.6.3
- diff P0 to fix str fmt

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 0.6.2-2mdv2009.1
+ Revision: 309154
- rebuild to get rid of libtasn1 dep

* Mon Sep 01 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 278581
- update to new version 0.6.2

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 210590
- new version
- bump major
- do not re-define stuff
- update buildrequires
- spec file clean

  + Erwan Velu <erwan@mandriva.org>
    - Fixing stupid buildrequires

* Mon Feb 25 2008 Erwan Velu <erwan@mandriva.org> 0.4.2-1mdv2008.1
+ Revision: 174550
- Fixing wrong requires
- Adding glade dep
- import gssdp


